package org.mercury_im.messenger.usecase;

import io.reactivex.Completable;

public interface AddAccountUseCase {

    AddAccountTask create();

    Completable execute(AddAccountTask task);

    interface AddAccountTask {

        void setAddress(String address);

        void setPassword(String password);
    }
}
