package org.mercury_im.messenger.entity;

import java.util.UUID;

/**
 * User Account entity.
 *
 * An implementation of this entity can be found as {@link IAccount}.
 */
public interface Account {

    UUID UNASSIGNED = UUID.fromString("00000000-0000-0000-0000-000000000000");

    void setId(UUID id);

    UUID getId();

    void setAddress(String address);

    String getAddress();

    void setPassword(String password);

    String getPassword();

    void setHost(String host);

    String getHost();

    void setPort(int port);

    int getPort();

    void setEnabled(boolean enabled);

    boolean isEnabled();

    default String displayName() {
        return getAddress();
    }
}
