package org.mercury_im.messenger.entity.chat;

import org.mercury_im.messenger.entity.contact.Peer;

/**
 * Interface that describes a direct chat between the user and another one.
 *
 * An implementation can be found in {@link IDirectChat}.
 */
public interface DirectChat extends Chat {

    Peer getPeer();

    void setPeer(Peer peer);

}
