package org.mercury_im.messenger.entity.chat;

public class IChatPreferences implements ChatPreferences {

    protected NotificationPreferences notificationPreferences;
    protected boolean typingNotificationsSupported;
    protected boolean sendTypingNotificationsEnabled;
    protected boolean readNotificationsSupported;
    protected boolean sendReadNotificationsEnabled;

    @Override
    public NotificationPreferences getNotificationPreference() {
        return notificationPreferences;
    }

    @Override
    public void setNotificationPreference(NotificationPreferences notificationPreferences) {
        this.notificationPreferences = notificationPreferences;
    }

    @Override
    public boolean isTypingNotificationsSupported() {
        return typingNotificationsSupported;
    }

    @Override
    public void setTypingNotificationsSupported(boolean typingNotificationsSupported) {
        this.typingNotificationsSupported = typingNotificationsSupported;
    }

    @Override
    public boolean isSendTypingNotificationsEnabled() {
        return sendTypingNotificationsEnabled;
    }

    @Override
    public void setSendTypingNotificationsEnabled(boolean sendTypingNotifications) {
        this.sendTypingNotificationsEnabled = sendTypingNotifications;
    }

    @Override
    public boolean isReadNotificationsSupported() {
        return readNotificationsSupported;
    }

    @Override
    public void setReadNotificationsSupported(boolean readNotificationsSupported) {
        this.readNotificationsSupported = readNotificationsSupported;
    }

    @Override
    public boolean isSendReadNotifications() {
        return sendReadNotificationsEnabled;
    }

    @Override
    public void setSendReadNotifications(boolean sendReadNotifications) {
        this.sendReadNotificationsEnabled = sendReadNotifications;
    }
}
