package org.mercury_im.messenger.entity.chat;

import org.mercury_im.messenger.entity.Account;

import java.util.UUID;

/**
 * Generic interface defining shared properties of chats.
 *
 * Child interfaces of {@link Chat} are {@link DirectChat} and {@link GroupChat}.
 */
public interface Chat {

    UUID getId();

    void setId(UUID id);

    Account getAccount();

    void setAccount(Account account);

    ChatPreferences getChatPreferences();

    void setChatPreferences(ChatPreferences chatPreferences);
}
