package org.mercury_im.messenger.entity.chat;

import org.mercury_im.messenger.entity.contact.Peer;

import java.util.Set;

/**
 * An interface that describes a group chat entity.
 *
 * An implementation can be found as {@link IGroupChat}.
 */
public interface GroupChat extends Chat {

    Set<Peer> getParticipants();

    void setParticipants(Set<Peer> participants);

    String getRoomAddress();

    void setRoomAddress(String roomAddress);

    String getRoomName();

    void setRoomName(String roomName);
}
