package org.mercury_im.messenger.entity.chat;

import org.mercury_im.messenger.entity.Account;
import org.mercury_im.messenger.entity.contact.Peer;

import java.util.UUID;

public class IDirectChat implements DirectChat {

    protected UUID id;
    protected Peer peer;
    protected Account account;
    protected ChatPreferences preferences;

    public IDirectChat() {
        this(UUID.randomUUID());
    }

    public IDirectChat(UUID id) {
        this.id = id;
    }

    @Override
    public Peer getPeer() {
        return peer;
    }

    @Override
    public void setPeer(Peer peer) {
        this.peer = peer;
    }

    @Override
    public UUID getId() {
        return id;
    }

    @Override
    public void setId(UUID id) {
        this.id = id;
    }

    @Override
    public Account getAccount() {
        return account;
    }

    @Override
    public void setAccount(Account account) {
        this.account = account;
    }

    @Override
    public ChatPreferences getChatPreferences() {
        return preferences;
    }

    @Override
    public void setChatPreferences(ChatPreferences chatPreferences) {
        this.preferences = chatPreferences;
    }
}
