package org.mercury_im.messenger.entity.event;

import org.mercury_im.messenger.entity.contact.Peer;

import java.util.Map;

/**
 * Event of someone typing in a chat.
 *
 * An implementation can be found as {@link ITypingEvent}.
 */
public interface TypingEvent {

    Map<Peer, TypingState> getTypingStates();

    void setTypingStates(Map<Peer, TypingState> typingStates);
}
